<?php

declare(strict_types=1);

namespace Dedi\SyliusMigrationPlugin\Service;

use Dedi\SyliusMigrationPlugin\Definition\TableMappingDefinition;
use Dedi\SyliusMigrationPlugin\Dto\MigrationOption;

interface ReaderInterface
{
    public function getResultCount(TableMappingDefinition $tableMappingDefinition, MigrationOption $migrationOption, int $limit): int;

    public function read(TableMappingDefinition $tableMappingDefinition, MigrationOption $migrationOption, int $offset, int $limit): array;

    public function getLinesNoInTmpMappingTable(TableMappingDefinition $tableMappingDefinition, MigrationOption $migrationOption, array $excludeIds, int $limit): array;
}
